# 🌟 aistv

**Thư viện Chatbot STV AI dành cho Python**

---

## 🧠 Giới thiệu

`aistv` là một thư viện Python đơn giản và hiệu quả, cho phép bạn tích hợp trợ lý ảo STV — một chatbot thông minh, thân thiện và linh hoạt — thông qua API OpenRouter.

STV được phát triển và huấn luyện bởi **Trọng Phúc**, chính thức ra mắt vào ngày **6/5/2025**, với mục tiêu hỗ trợ người dùng qua các cuộc trò chuyện tự nhiên, đa ngôn ngữ và mang tính cá nhân hóa cao.

---

## 🚀 Tính năng nổi bật

- ✉️ Gửi tin nhắn và nhận phản hồi theo ngữ cảnh từ AI STV  
- 🧾 Tự động lưu lịch sử hội thoại để duy trì mạch hội thoại thông minh  
- ⚙️ Hỗ trợ tùy chỉnh lời nhắc hệ thống (system prompt) theo nhu cầu  
- 🔌 Tích hợp linh hoạt vào bất kỳ dự án Python nào  

---

## 📦 Yêu cầu

- Python **>= 3.8**
- Thư viện phụ trợ: `requests`

---

## 📥 Cài đặt

```bash
pip install aistv


---

🧪 Ví dụ sử dụng

from aistv import aistv

token = "sk-or-xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"
bot = aistv(token)

while True:
    user_input = input("Bạn: ")
    if user_input.lower() == "exit":
        break
    reply = bot.chat(user_input)
    print("STV:", reply)```
    


---

⚙️ Tuỳ chọn nâng cao

Bạn có thể tùy chỉnh prompt hệ thống như sau:

custom_prompt = "Bạn là STV, một trợ lý AI thân thiện, nói chuyện bằng tiếng Việt."
bot = STVBot(token, system_prompt=custom_prompt)


---

🤝 Đóng góp

Chúng tôi hoan nghênh mọi đóng góp từ cộng đồng! Nếu bạn phát hiện lỗi hoặc muốn đề xuất tính năng mới:

Gửi issue trên GitHub

Gửi pull request với phần mô tả rõ ràng



---

📜 Giấy phép

Dự án phát hành theo giấy phép MIT License.


---

🧑‍💻 Tác giả

Trọng Phúc
Ra mắt lần đầu: 01/06/2025


---

# 🌟 aistv

**STV AI Chatbot Library for Python**

---

## 🧠 Introduction

`aistv` is a simple and efficient Python library that allows you to integrate the STV virtual assistant — a smart, friendly, and flexible chatbot — via the OpenRouter API.

STV was developed and trained by **Trong Phuc**, officially launched on **May 6, 2025**, with the goal of supporting users through natural, multilingual, and highly personalized conversations.

 ---

## 🚀 Highlights

- ✉️ Send messages and receive contextual responses from AI STV
- 🧾 Automatically save conversation history to maintain smart conversation flow
- ⚙️ Support customizing system prompts as needed
- 🔌 Flexible integration into any Python project

---

## 📦 Requirements

- Python **>= 3.8**
- Auxiliary library: `requests`

---

## 📥 Installation

```bash
pip install aistv


---

🧪 Usage example

from aistv import aistv

 token = "sk-or-xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"
 bot = aistv(token)

 whileTrue:
     user_input = input("You: ")
     if user_input.lower() == "exit":
         break. break
     reply = bot.chat(user_input)
     print("STV:", reply)```

---

⚙️ Advanced options

You can customize the system prompt as follows:

custom_prompt = "You are STV, a friendly AI assistant, speaking in Vietnamese."
bot = STVBot(token, system_prompt=custom_prompt)

---

🤝 Contribute

We welcome any contributions from the community! If you find a bug or want to suggest a new feature:

Submit an issue on GitHub

Send a pull request with a clear description

---

📜 License

The project is released under the MIT License.

---

🧑‍💻 Author

Trong Phuc
First release: 01/06/2025

---

